#
# ff-market-share.R, 24 Jul 13
#
# R code for book "Empirical Software Engineering using R"
# Derek M. Jones, http://shape-of-code.coding-guidelines.com
#


library("RColorBrewer")


root="/usr1/rbook/examples/faults/milk-wine/"

study_start=as.Date("9-November-2004", format="%d-%B-%Y")
study_end=as.Date("1-October-2010", format="%d-%B-%Y")
last_estimate=as.Date("30-April-2007", format="%d-%B-%Y")

par(mfcol=c(1,1))
par(col="black")
par(bty="l")
par(las=1)
par(pch=3)

browser_ms=read.csv(paste0(root, "w3stats_browser.csv"), as.is=TRUE)
browser_ms$date=as.Date(browser_ms$date, format="%m/%d/%Y")-study_start
xbounds=c(0, max(browser_ms$date))
max_ms=max(browser_ms$market_share)
ybounds=c(0, max_ms)

plot_market_share=function(ver_str, color)
{
t=subset(browser_ms, browser == ver_str)
plot(t$date, t$market_share,
	col=color, type="b",
	xlab="Days since version 1.0 released", ylab="Browser percentage market share",
	xlim=xbounds, ylim=ybounds)
}

brew_col=brewer.pal(6, "Dark2")

plot_market_share("v1.0", brew_col[1])
par(new=TRUE)
plot_market_share("v1.5", brew_col[2])
par(new=TRUE)
plot_market_share("v2.0", brew_col[3])
par(new=TRUE)
plot_market_share("v3.0", brew_col[4])
par(new=TRUE)
plot_market_share("v3.5", brew_col[5])
par(new=TRUE)
plot_market_share("v3.6", brew_col[6])

last_estimate=as.numeric(last_estimate-study_start)
lines(cbind(rep(last_estimate, 2), ybounds), col="red")

