#
# ff-src-version.R, 24 Jul 13
#
# R code for book "Empirical Software Engineering using R"
# Derek M. Jones, http://shape-of-code.coding-guidelines.com
#
# Uses data from:
# After-Life Vulnerabilities: A Study on Firefox Evolution, its Vulnerabilities, and Fixes
# by Fabio Massacci and Stephen Neuhaud and Viet Hung Nguyen
#


library("RColorBrewer")

root="/usr1/rbook/examples/faults/milk-wine/"

par(mfcol=c(1,1))
par(col="black")
par(bty="l")
par(las=1)


src_version=read.csv(paste0(root, "ff-src-version.csv"), row.names=1, as.is=TRUE)

brew_col=brewer.pal(6, "Dark2")

barplot(as.matrix(src_version), ylab="MLOC", col=brew_col)

